Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface Usage

    @UML(identifier="MD_Usage",
         specification=ISO_19115)
    public interface Usage

Brief description of ways in which the resource(s) is/are currently used.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getSpecificUsage()` Brief description of the resource and/or resource series usage.
`Date` | `getUsageDate()` Date and time of the first use or range of uses of the resource and/or resource series.
`Collection<? extends ResponsibleParty>` | `getUserContactInfo()` Identification of and means of communicating with person(s) and organization(s) using the resource(s).
`InternationalString` | `getUserDeterminedLimitations()` Applications, determined by the user for which the resource and/or resource series is not suitable.

Method Detail

### getSpecificUsage

    @UML(identifier="specificUsage",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getSpecificUsage()

  Brief description of the resource and/or resource series usage.

### getUsageDate

    @UML(identifier="usageDateTime",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Date getUsageDate()

  Date and time of the first use or range of uses of the resource and/or resource series.

### getUserDeterminedLimitations

    @UML(identifier="userDeterminedLimitations",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getUserDeterminedLimitations()

  Applications, determined by the user for which the resource and/or resource series is not suitable.

### getUserContactInfo

    @UML(identifier="userContactInfo",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getUserContactInfo()

  Identification of and means of communicating with person(s) and organization(s) using the resource(s).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.